<?php
define('IS_GOOGLE_ANALYTIC',0); // 0 = disable google analytics, 1 = enable google analytics

define('MAINTENANCE_MOOD', 0); // 1= maintenance message will be  displayed on website. 0 = normal mood, no  alert or message  shown
// define('HTTP_SITE_URL', 'https://expensecount.org');
define('HTTP_SITE_URL', 'http://localhost/expensecount');
define('CDN_URL', HTTP_SITE_URL.'/cdn/');
define('SUPPORT_EMAIL', 'admin@expensecount.com');
define('FIREBASE_DB_PATH', 'root/dev');

define('IS_FIREBASE_ACTIVATED', false);
define('FIREBASE_SERVICE_ACCOUNT_CREDENTIALS', '../../chtlbd-159010-5a04c5d334cf.json');
// define('FIREBASE_SERVICE_ACCOUNT_CREDENTIALS', '../../go_ser_pri.json'); // for production

define('USER_RESET_PASSWORD_EXPIRE_WITHIN_TIME', '+1 days');
define('REMEMBER_ME_EXPIRE_WITHIN_TIME', '+90 days');
define('IS_EMAIL_SEND_DURING_USER_REGISTRATION', true);
define('IS_EMAIL_SEND_DURING_RESET_PASSWORD', true);
define('IS_USER_WALLET_ACTIVE', true);


define("APP_DB_HOST","localhost");
define("APP_DB_USERNAME","root");
define("APP_DB_PASSWORD","");
define("APP_DB_NAME","expense_test_db");
define("ARCHIEVE_DB_NAME","expense_test_archive");


define("GOOGLE_CLIENT_ID","324461531591-ugsm13l3gvq74i43b9bnl23sc39v6r7i"); // https://console.cloud.google.com/apis/dashboard
define("GOOGLE_CLIENT_SECRET","xbYQRNbYThzUBFbNzkTYrdHB");
define("GOOGLE_API_KEY","AIzaSyAzK22UZBOxHST7VKV7se876TElXBQAJmM");


// Paypal Settings
define('PAYPAL_ID', 'dgfdfadsf');
define('PAYPAL_CLIENT_ID', 'test');
define('PAYPAL_CLIENT_SECRET', 'test');

define('PAYPAL_ON_PRODUCTION', false);

define('PAYPAL_CURRENCY_CODE', 'USD');
define('PAYPAL_NOTIFY_URL', HTTP_SITE_URL.'/pages/paypalipn');
define('PAYPAL_CANCEL_RETURN_URL', HTTP_SITE_URL.'/pages/paypalcancel');
define('PAYPAL_SUCCESS_RETURN_URL', HTTP_SITE_URL.'/pages/createGroup');
define('PAYPAL_URL', (PAYPAL_ON_PRODUCTION == true) ? 'https://www.paypal.com/cgi-bin/webscr' : 'https://www.sandbox.paypal.com/cgi-bin/webscr');


define('NO_PERMIT', 1);
define('PUBLIC_PERMIT', 2);
define('EDIT_PERMIT', 3);
define('VIEW_PERMIT', 4);
define('ADMIN_PERMIT', 5);
define('OWNER', 6);

define('FIREBASE_SECRET', ROOT . DS .'go_ser_pri.json');

define('NUMBER_OF_EXPENSE_IMAGES',3);

define('PERMISSION_ENABLED',true);
define('RESTRICTION_MODE_HIDE',true);
define('PARTICIPENT_NAME_LENGTH',20);
define('FIREBASE_PROJECT_ID', 'expensecount-312c7');
define('REPORTING_EMAIL', 'admin@expensecount.com');
define('BACKUP_LIMIT', 100);
